Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindLegislationTextRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v4.FindLegislationTextRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:23:36+01:00",
               comments="JAXB RI v2.3.6")
    public class FindLegislationTextRequest

extends RequestType
implements Serializable

Java class for FindLegislationTextRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindLegislationTextRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindLegalBases" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindLegalBasesType"/>
             <element name="FindByLegalReferencePath" type="{urn:be:fgov:ehealth:dics:core:v4:core}LegalReferencePathType"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindLegislationTextRequest()`

Method Summary
`DmppKeyType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
`String` | `getFindByLegalReferencePath()` Gets the value of the findByLegalReferencePath property.
`FindLegalBasesType` | `getFindLegalBases()` Gets the value of the findLegalBases property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setFindByDmpp(DmppKeyType value)` Sets the value of the findByDmpp property.
`void` | `setFindByLegalReferencePath(String value)` Sets the value of the findByLegalReferencePath property.
`void` | `setFindLegalBases(FindLegalBasesType value)` Sets the value of the findLegalBases property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindLegislationTextRequest

    public FindLegislationTextRequest()

Method Detail

### getFindByDmpp

    public DmppKeyType getFindByDmpp()

  Gets the value of the findByDmpp property.

  Returns:
    possible object is `DmppKeyType`

### setFindByDmpp

    public void setFindByDmpp(DmppKeyType value)

  Sets the value of the findByDmpp property.

  Parameters:
    `value` - allowed object is `DmppKeyType`

### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()

  Gets the value of the findByLegalReferencePath property.

  Returns:
    possible object is `String`

### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)

  Sets the value of the findByLegalReferencePath property.

  Parameters:
    `value` - allowed object is `String`

### getFindLegalBases

    public FindLegalBasesType getFindLegalBases()

  Gets the value of the findLegalBases property.

  Returns:
    possible object is `FindLegalBasesType`

### setFindLegalBases

    public void setFindLegalBases(FindLegalBasesType value)

  Sets the value of the findLegalBases property.

  Parameters:
    `value` - allowed object is `FindLegalBasesType`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.